﻿<?xml version="1.0" encoding="utf-8"?>
<Application>
	<DisplayInfo Title="Microsoft Visual Studio Code" Publisher="Microsoft" Version="" ReleaseDate="" Suffix="for Labs">
		<UserCategories>
		</UserCategories>
		<SoftwareCategories>
			<Category>LABS Baseline</Category>
		</SoftwareCategories>
	</DisplayInfo>
	<DeploymentType Title="" Architecture="x64" Technology="Script" DetectionMethod="Script" ContentLocation="\\server01\sources$\Microsoft\Visual Studio Code\archive\{SoftwareVersion}\win_{Architecture}\">
		<UninstallCommand>"Deploy-Application.exe" UNINSTALL</UninstallCommand>
		<InstallCommand>"Deploy-Application.exe" INSTALL -DisableUpdateCheck</InstallCommand>
		<DetectionScript RunAs32Bit="False" Language="PowerShell">
			<TEXT>$DisplayName = 'Microsoft Visual Studio Code'
$DisplayVersion = '{DetectionVersion}'
$Architecture = '{Architecture}'
$DetectionRegPath = '{DetectionRegPath}'
$RegKeyList = Get-ChildItem -Path $DetectionRegPath | Where-Object {$_.GetValue('DisplayName') -like "$DisplayName*"}

if($RegKeyList) {
	$RegKey = $RegKeyList | Where-Object {[version]$_.GetValue('DisplayVersion') -ge [version]$DisplayVersion}
    if($RegKey) {
		# Check that updates are disabled
        $SettingsPath = "$env:SystemDrive\Users\Default\AppData\Roaming\Code\User\settings.json"
        $SettingsFile = Get-Item -Path $SettingsPath -ErrorAction SilentlyContinue
        if($SettingsFile) {
            $SettingsContent = Get-Content -Path $SettingsPath -Raw
            $SettingsContentJSON = ConvertFrom-Json -InputObject $SettingsContent

            if($SettingsContentJSON.'update.channel' -eq 'none') {
                return $true
            }
        }
    }
}
			</TEXT>
		</DetectionScript>
		<Custom>
			<DetectionVersionLogic TargetItem="Installer" TargetItemPath="\\server01\sources$\Microsoft\Visual Studio Code\archive\{SoftwareVersion}\win_{Architecture}\Files\*.exe" TargetItemType="EXE" TargetItemProperty="ProductVersion"/>
		</Custom>
	</DeploymentType>
</Application>